ranges::v3::view::indirect_fn Struct Reference

## Synopsis of methods

constexpr view< indirect_fn > | indirect {}

## Public Types

template<typename Rng >
using | Constraint = meta::and_< InputRange< Rng >, Readable< range_value_type_t< Rng > >>

## Public Member Functions

template<typename Rng , requires = (Constraint<Rng>())>
constexpr auto | operator() (Rng &&rng) const noexcept(noexcept(decltype(indirect_view< all_t< Rng >>{all(static_cast< Rng &&>(rng))})(indirect_view< all_t< Rng >>{all(static_cast< Rng &&>(rng))}))) -> decltype(indirect_view< all_t< Rng >>